%define debug_package %nil
%define subrel 2
%define devname	%mklibname %{name} -d

%global zmqver	%(rpm -q --queryformat "%{VERSION}" %{_lib}zmq-devel )

Name:		cppzmq
Summary:	C++ binding for 0MQ
Version:	4.3.0
Release:	%mkrel 2
License:	MIT
Group:		Development/Other
Url:		https://github.com/zeromq/cppzmq
Source0:	https://github.com/zeromq/cppzmq/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Skip-zeromq-static-targets.patch
Patch1:		0001-Drop-static-targets-from-FindZeroMQ.cmake.patch
Patch2:		0001-Fix-FindZeroMQ.cmake-install-location.patch
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	pkgconfig(libzmq) >= 4.3.3

%description
C++ binding for 0MQ.

%package -n %{devname}
Summary:	C++ binding for 0MQ
Requires:	zeromq-devel = %{zmqver}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}zeromq-devel < 4.2.2

%description -n %{devname}
C++ binding development headers for 0MQ.

%prep
%autosetup -S git_am

%build
%cmake \
	-DCPPZMQ_BUILD_TESTS:BOOL=OFF
%make_build

%install
%make_install -C build

%files -n %{devname}
%doc README*
%license LICENSE
%{_includedir}/zmq*.hpp
%dir %{_datadir}/cmake/cppzmq/
%{_datadir}/cmake/cppzmq/*.cmake


%changelog
* Mon Sep 14 2020 barjac <barjac> 4.3.0-2.2.mga7
+ Revision: 1626628
- update required zeromq version to 4.3.3
- rebuild for zeromq-4.3.3
- required to fix Mga#27256 zeromq security issue CVE-2020-15166

* Thu Jan 17 2019 wally <wally> 4.3.0-2.mga7
+ Revision: 1357659
- add patch to fix FindZeroMQ.cmake install location

* Thu Jan 17 2019 wally <wally> 4.3.0-1.mga7
+ Revision: 1357651
- new version 4.3.0
- redo static targets patches
- disable tests (downloads stuff from Internet)

* Thu Jan 17 2019 wally <wally> 4.2.2-2.mga7
+ Revision: 1357632
- add patch to build without static zeromq

* Thu Jan 17 2019 barjac <barjac> 4.2.2-1.mga7
+ Revision: 1357534
- new version 4.2.2
- Remove un-needed patch
- Fix files list

* Thu Jan 17 2019 barjac <barjac> 4.2.1-6.mga7
+ Revision: 1357524
- rebuild for zeromq 4.3.1

* Sun Sep 23 2018 umeabot <umeabot> 4.2.1-5.mga7
+ Revision: 1296848
- Mageia 7 Mass Rebuild

* Fri Jan 12 2018 wally <wally> 4.2.1-4.mga7
+ Revision: 1192449
- fix requires for devel pkg

* Thu Jan 11 2018 barjac <barjac> 4.2.1-3.mga7
+ Revision: 1192383
- rebuild for zeromq

* Wed Feb 22 2017 wally <wally> 4.2.1-2.mga6
+ Revision: 1087399
- rebuild for ARM

* Wed Feb 22 2017 wally <wally> 4.2.1-1.mga6
+ Revision: 1087390
- add patch to skip static lib check with CMake
- imported package cppzmq

